<div class="row">

  <input (ngModelChange)="onFilterChange($event)"
         [ngModel]="filter"
         class="input-primary col-xs-3"
         id="company"
         placeholder="Enter name or company"
         type="text"
  >

  <div class="col-xs-6">

  </div>

  <button class="btn btn-second col-xs-3" [routerLink]="['add']">
    Add new
  </button>

</div>
<div style="overflow-x: auto">
<table class="list-table">
  <tr class="bg-fourth table-header">
    <th (click)="handleSort(header)"
        *ngFor="let header of headers"
        [ngClass]="{'cursor-pointer': header.show}"
        style="text-align: left">
      <i *ngIf="header.show">
        <ng-container [ngSwitch]="header.status">
          <img *ngSwitchCase="0" alt="no-sort"
               src="assets/icons/chevron-bar-expand.svg">
          <img *ngSwitchCase="1" alt="sort-asc"
               src="assets/icons/sort-alpha-down.svg">
          <img *ngSwitchCase="2" alt="sort-asc"
               src="assets/icons/sort-alpha-up-alt.svg">
        </ng-container>
      </i>
      <span class="ml-3">{{header.type}}</span>
    </th>
  </tr>
  <tr *ngFor="let data of listData"
      [routerLink]="[data.id, 'details']"
      class="row-data">
    <td class="image-container">
      <img [alt]="data.avatarUrl"
           [src]="data.avatarUrl"
           class="thumbnail"
      >
    </td>
    <td>{{data.name}}</td>
    <td>{{data.company}}</td>
    <td>
      <span (click)="delete(data.id, $event)">delete</span>
      |
      <a>
        <span [routerLink]="[data.id, 'edit']">Edit</span>
      </a>
    </td>
  </tr>
</table>
</div>
<hr>

<section id="table-footer">
  <div class="row">
    <div class="col-6">
      <button (click)="onPageIndexChange(+filterOptions.page - 1)"
              [disabled]="filterOptions.page <= 1"
              class="btn btn-second"><
      </button>
      <select (ngModelChange)="onPageIndexChange($event)"
              [ngModel]="filterOptions.page"
              class="h-100"
      >
        <option *ngFor="let page of pages"
                [value]="page">{{page}}</option>
      </select>
      <button (click)="onPageIndexChange(+filterOptions.page + 1)"
              [disabled]="filterOptions.page >= pages[pages.length - 1]"
              class="btn btn-second">>
      </button>
    </div>
    <div class="col-6 col-md-4 col-lg-6">
      <select (ngModelChange)="onPageSizeChange($event)"
              [ngModel]="filterOptions.size"
              class="h-100"
              style="float: right">
        <option *ngFor="let option of paginate"
                [value]="option">{{option}}</option>
      </select>
    </div>
  </div>
</section>
